const path = require("path");

module.exports = {
  resolve: {
    // directories where to look for modules
    modules: [path.resolve(__dirname, "../src"), "node_modules"],
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        use: "babel-loader",
        exclude: /node_modules/,
      },
      {
        test: /\.(woff|woff2)$/,
        use: "file-loader",
        exclude: /node_modules/,
      },
      {
        test: /\.css$/,
        use: ["style-loader", "css-loader"],
      },
    ],
  },
  resolve: {
    // directories where to look for modules
    modules: [path.resolve(__dirname, "../src"), "node_modules"],
    extensions: [".js"],
  },
};
